function Component() {
    if (installer.isInstaller()) {
        component.loaded.connect(this, Component.prototype.installerLoaded);
    }
}

Component.prototype.createOperations = function()
{
    try {
        component.createOperations();
        component.addOperation('AppendFile', '@TargetDir@/settings.ini', '@SettingContent@');
    } catch (e) {
        console.log(e);
    }
}


Component.prototype.installerLoaded = function ()
{
    if (installer.addWizardPage(component, "ConfigWidget", QInstaller.ReadyForInstallation)) {
        var page = gui.pageByObjectName("DynamicConfigWidget");
        if (page != null) {
            page.entered.connect(Component.prototype.dynamicPageEntered);
        }
    }
}

Component.prototype.dynamicPageEntered = function ()
{
    var page = gui.pageWidgetByObjectName("DynamicConfigWidget")
    if (page != null) {
        function updateSetting() {
            var addr = page.groupServer.txtServerAddress.text
            var send = page.groupServer.txtSendPort.text
            var recv = page.groupServer.txtRecvPort.text

            var settingContent = '[General]\r\n' +
                    'serverAddress=' + addr + '\r\n' +
                    'serverRecvPort=' + recv + '\r\n' +
                    'serverSendPort=' + send + '\r\n'

            installer.setValue("SettingContent", settingContent);
        }

        page.groupServer.txtServerAddress.textChanged.connect(this, updateSetting)
        page.groupServer.txtSendPort.textChanged.connect(this, updateSetting)
        page.groupServer.txtRecvPort.textChanged.connect(this, updateSetting)
    }
}

Component.prototype.isDefault = function() {
  return true;
}
